using ProfitGroup.SampleService.Models;
using RnD.BusinessLayer.Interfaces.Model;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace ProfitGroup.SampleService.Core.Services
{
    public interface ISampleService
    {
        IEnumerable<TaskFilterDTO> GetTaskKeys(string plantName, string operationControlName, string packageOrStage);
        void FillSampleInfoCards(decimal sampleId, List<InfoCardSetting> infoCards);
        Task<bool> ValidateSample(string shortDescription);
        Task SendConfirmation(MT_InspLot shortDescription, SampleFullDTO sampleFullDto);
    }
}